#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <dirent.h>

#include "bgs_gen.h"

int main (int argc, char **argv)
{
    int oc;                     /*选项字符 */
    char *p_path=NULL;
    char *p_duration=NULL;

    while((oc = getopt(argc, argv, "vhp:d:")) != -1)
    {
        switch(oc)
        {
        case 'h':
            usage();
            break;
        case 'v':
            version();
            break;
        case 'p':
            p_path = optarg;
            break;
        case 'd':
            p_duration=optarg;
            break;
        }
    }


    int duration=30;
    if(NULL!=p_duration)
    {
        duration=atol(p_duration);
    }
    if(0==duration)
    {
        puts("wrong on  duration!");
        return 0;
    }

    if(-1==check_dir(p_path))
    {
        return 0;
    }
    DIR * p_dir;
    p_dir=opendir(p_path);

    if(NULL==p_dir)
    {
        perror("Dir open error:");
    }

    struct dirent * p_de;

    FILE *p_file=fopen("config.xml","w");
    if(NULL==p_file)
    {
        perror("faild while open  config.xml");
        return 0;
    }

    write_start(p_file);

    char * first;
    while(NULL!=(p_de=readdir(p_dir)))
    {
        if('.'!=p_de->d_name[0])
        {
            first=p_de->d_name;
            break;
        }

    }

write_block(p_file,p_path,write_blocks(p_file,p_path,p_dir,first,duration),first,duration);

    write_end(p_file);

    fclose(p_file);
    closedir(p_dir);

    return 0;
}
